Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfPlaceholderType

    java.lang.Object
      java.lang.Enum<OdfPlaceholderType>
          org.odftoolkit.odfdom.dom.type.text.OdfPlaceholderType

All Implemented Interfaces:
  Serializable, Comparable<OdfPlaceholderType>

    public enum OdfPlaceholderType

extends Enum<OdfPlaceholderType>

DOM implementation of OpenDocument attribute text:placeholder-type.

Enum Constant Summary
`IMAGE`
`OBJECT`
`TABLE`
`TEXT`
`TEXT_BOX`

Method Summary
`static OdfPlaceholderType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfPlaceholderType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfPlaceholderType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfPlaceholderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OBJECT

    public static final OdfPlaceholderType OBJECT

### TABLE

    public static final OdfPlaceholderType TABLE

### IMAGE

    public static final OdfPlaceholderType IMAGE

### TEXT_BOX

    public static final OdfPlaceholderType TEXT_BOX

### TEXT

    public static final OdfPlaceholderType TEXT

Method Detail

### values

    public static OdfPlaceholderType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfPlaceholderType c : OdfPlaceholderType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfPlaceholderType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfPlaceholderType>`
  Returns:
    return the name of OdfPlaceholderType

### toString

    public static String toString(OdfPlaceholderType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfPlaceholderType, see text:placeholder-type
  Returns:
    return the name of OdfPlaceholderType

### enumValueOf

    public static OdfPlaceholderType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfPlaceholderType
  Returns:
    return the constant of OdfPlaceholderType, see text:placeholder-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.